namespace GridWorld
{
    interface IAgent
    {
        /// <summary>
        /// Performs one iteration of training phase.
        /// </summary>
        void Train();

        /// <summary>
        /// Generates resulting stichastic matrix.
        /// Should be called after training phase was completed.
        /// </summary>
        /// <returns></returns>
        double[,] GenerateStochasticMatrix();
    }
}
