﻿namespace GridWorld
{
    interface IEnvironment
    {
        /// <summary>
        /// Performs agent's action which changes current state under environment rules.
        /// </summary>
        /// <param name="state">Current state</param>
        /// <param name="action">Chosen action</param>
        /// <returns>Reward for performed action</returns>
        int PerformAction(ref int state, int action);
    }
}
