using System;
using System.Configuration;

namespace GridWorld
{
    class AppMain
    {
        static void Main(string[] args)
        {
            Environment env = new Environment();
            IAgent agent = env.CreateAgent();

            string configString = ConfigurationManager.AppSettings["NumOfTrainings"];
            int numOfTrainings = Convert.ToInt32(configString);
            for (int i = 0; i < numOfTrainings; i++)
            {
                agent.Train();
            }

            env.PerformExperiment(agent.GenerateStochasticMatrix());
        }
    }
}
